echo off
IF %1&==& GOTO Error
IF %2&==& GOTO Error
IF %0==INSTA GOTO Begin
Cls
echo 
echo    To install this game on your hard disk, you must
echo    have at least 15 Mbytes of free disk space.
echo 

md %2\SANGO
md %2\SANGO\ICN
md %2\SANGO\SHP
md %2\SANGO\VOC
copy INSTALL.BAT %2\SANGO\INSTA.BAT
%2
cd %2\SANGO
INSTA %1 %2
goto fin

:Begin
echo 
:Rec1
CLS
echo ***** Insert DISK 1 in drive %1
pause
if not exist %1\SANGO1.LZH goto Rec1
copy %1\*.*
if errorlevel 2 goto error2

echo 
echo       Wait....
echo 
LHA e SANGO1.LZH
if errorlevel 2 goto Error2
del SANGO1.LZH

echo 
:Rec2
CLS
echo ***** Insert DISK 2 in drive %1
pause
if not exist %1\SANGO2.LZH goto Rec2
copy %1\*.*
if errorlevel 2 goto Error2

echo 
echo       Wait....
echo 
LHA e SANGO2.LZH
if errorlevel 2 goto Error2
del SANGO2.LZH

echo 
:Rec3
CLS
echo ***** Insert DISK 3 in drive %1
pause
if not exist %1\SANGO3.LZH goto Rec3
copy %1\*.*
if errorlevel 2 goto Error2

echo 
echo       Wait....
echo 
LHA e SANGO3.LZH
if errorlevel 2 goto Error2
del SANGO3.LZH

echo 
:Rec4
CLS
echo ***** Insert DISK 4 in drive %1
pause
if not exist %1\SANGO4.LZH goto Rec4
copy %1\*.*
if errorlevel 2 goto Error2

echo 
echo       Wait....
echo 
LHA e SANGO4.LZH
if errorlevel 2 goto Error2
del SANGO4.LZH

echo 
:Rec5
CLS
echo ***** Insert DISK 5 in drive %1
pause
if not exist %1\SANGO5.LZH goto Rec5
copy %1\SANGO5.LZH
if errorlevel 2 goto Error2
echo 
echo       Wait....
echo 
LHA e SANGO5.LZH
if errorlevel 2 goto Error2
del SANGO5.LZH
CD ICN
COPY %1\SANGOICN.LZH
%2\SANGO\LHA e SANGOICN.LZH
if errorlevel 2 goto Error2
del SANGOICN.LZH
CD..
CD SHP
COPY %1\SANGOSHP.LZH
%2\SANGO\LHA e SANGOSHP.LZH
if errorlevel 2 goto Error2
del SANGOSHP.LZH
CD..
CD VOC
COPY %1\SANGOVOC.LZH
%2\SANGO\LHA e SANGOVOC.LZH
if errorlevel 2 goto Error2
del SANGOVOC.LZH
CD..

:Success
echo 
echo     Installation finished.
echo     To play, choose SANGO.EXE from the SANGO sub-directory.
echo 
pause
Goto Exit


:Error2
echo 
echo    ***** Procedure interrupted. *****
echo    ***** Installation failed.   *****
echo 
pause
goto Exit


:Error
CLS
echo 
echo       INSTALL Source_Drive Destination_Drive
echo       Ex: INSTALL A: C:  (or B: D:)
echo 
goto Exit

:Exit
